Meta information about academic terms

### Hierarchy

- SCThingMeta
  - SCAcademicTermWithoutReferencesMeta

### Implements

- SCMetaTranslations<SCThing>
- SCMetaTranslations<SCThing>

## Index

### Constructors

- constructor

### Properties

- fieldTranslations
- fieldValueTranslations
- _instance

### Methods

- getInstance

## Constructors

### Protected constructor

- new SCAcademicTermWithoutReferencesMeta(): SCAcademicTermWithoutReferencesMeta

- Inherited from SCThingMeta.constructor

  - Defined in node_modules/@openstapps/core/lib/index.d.ts:1751

  #### Returns SCAcademicTermWithoutReferencesMeta

## Properties

### fieldTranslations

fieldTranslations: object

Implementation of SCMetaTranslations.fieldTranslations

Overrides SCThingMeta.fieldTranslations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:123

Translations of fields

#### Type declaration

- ##### de: object

  - ##### alternateNames: string

  - ##### description: string

  - ##### image: string

  - ##### name: string

  - ##### origin: string

  - ##### translations: string

  - ##### type: string

  - ##### uid: string

  - ##### url: string

- ##### en: object

  - ##### alternateNames: string

  - ##### description: string

  - ##### image: string

  - ##### name: string

  - ##### origin: string

  - ##### translations: string

  - ##### type: string

  - ##### uid: string

  - ##### url: string

### fieldValueTranslations

fieldValueTranslations: object

Implementation of SCMetaTranslations.fieldValueTranslations

Overrides SCThingMeta.fieldValueTranslations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:150

Translations of values of fields

#### Type declaration

- ##### de: object

  - ##### type: string

- ##### en: object

  - ##### type: string

### Static Protected _instance

_instance: SCThingMeta

Inherited from SCThingMeta._instance

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1709

Set type definiton for singleton instance

## Methods

### Static getInstance

- getInstance<T>(): T

- Inherited from SCThingMeta.getInstance

  - Defined in node_modules/@openstapps/core/lib/index.d.ts:1751

  Function to retrieve typed singleton instance

  #### Type parameters

  - #### T: SCThingMeta

  #### Returns T

Generated using TypeDoc